> For the complete documentation index, see [llms.txt](https://docs.zotlo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zotlo.com/integrating-zotlo/api-reference/subscriptions-endpoints/get-subscriptions-list.md).

# Get Subscriptions List

This endpoint returns the list of subscriptions managed by Zotlo for a specific project.

Use the **GET** method to retrieve all subscriptions associated with the project. The response includes the subscription details along with the related package information for each subscription.

<table data-header-hidden><thead><tr><th width="99.640625"></th><th></th></tr></thead><tbody><tr><td>Method</td><td><h4>  <mark style="color:green;background-color:$primary;"><code>GET</code></mark></h4></td></tr><tr><td>URL</td><td><pre data-overflow="wrap" data-full-width="false"><code>https://api.zotlo.com/v1/subscription/list?subscriberId=SUBSCRIBER_ID
</code></pre></td></tr></tbody></table>

## **Request Parameters**

<table><thead><tr><th width="176.16015625">Field</th><th width="115.48828125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>subscriberId</code></td><td>Required</td><td>The email or phone number the user provided when starting the subscription.</td></tr></tbody></table>

## **Sample Request**

{% code overflow="wrap" %}

```js
GET https://api.zotlo.com/v1/subscription/list?subscriberId=SUBSCRIBER_ID HTTP/1.1
AccessKey: ••••••
AccessSecret: ••••••
Content-Type: application/json
ApplicationId: •
Language: ••
```

{% endcode %}

{% hint style="info" %}
You can find your **AccessKey** , **AccessSecret and ApplicationId** in the Zotlo Panel under **Developer Tools → API Keys**
{% endhint %}

## Successful Response

&#x20;**I**f you have a subscription and it is active:

{% code overflow="wrap" %}

```json
{
  "meta": {
    "requestId": "246a8e676214-REQ-65aa29fa49acb",
    "httpStatus": 200
  },
  "result": [
    {
      "status": "active",
      "realStatus": "active",
      "subscriberId": "test@mail.com",
      "subscriptionType": "paid",
      "startDate": "2024-01-15 12:57:56",
      "expireDate": "2024-02-15 12:57:56",
      "package": "web_new",
      "language": "tr",
      "country": "TR",
      "phoneNumber": null,
      "originalTransactionId": "6e0ef399-4c74-46a5-a7dd-95a76e1b3a59",
      "cancellation": null,
      "quantity": 1,
      "pendingQuantity": 0,
      "customParameters": []
    },
    {
      "status": "active",
      "realStatus": "active",
      "subscriberId": "test@mail.com",
      "subscriptionType": "paid",
      "startDate": "2024-01-19 07:51:03",
      "expireDate": "2024-02-19 07:51:03",
      "package": "web_premium",
      "language": "ru",
      "country": "RU",
      "phoneNumber": null,
      "originalTransactionId": "a24924ea-95d7-4e02-bcb2-d1d442500ec6",
      "cancellation": null,
      "quantity": 1,
      "pendingQuantity": 0,
      "customParameters": []
    }
  ]
}
```

{% endcode %}

## **Failed Response**

All failed responses follow the same standard error format.\
(See: [**Error Handling**](/integrating-zotlo/api-reference/error-handling.md))
